Apache Tomcat 7.0.42

## org.apache.catalina.tribes.util
Class ExecutorFactory

    java.lang.Object
      org.apache.catalina.tribes.util.ExecutorFactory

    public class ExecutorFactory

extends Object

Constructor Summary
`ExecutorFactory()`

Method Summary
`static ExecutorService` `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit)`
`static ExecutorService` `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit, ThreadFactory threadFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorFactory

    public ExecutorFactory()

Method Detail

### newThreadPool

    public static ExecutorService newThreadPool(int minThreads,
                                                int maxThreads,
                                                long maxIdleTime,
                                                TimeUnit unit)

### newThreadPool

    public static ExecutorService newThreadPool(int minThreads,
                                                int maxThreads,
                                                long maxIdleTime,
                                                TimeUnit unit,
                                                ThreadFactory threadFactory)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.